// Package task ...
//
// Description : 定义任务接口约束
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2022-06-23 14:20
package task

import "context"

// ITask 任务接口约束
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 14:22 2022/6/23
type ITask interface {
	// Name 任务名称标识, 全局唯一
	Name() string
	// Description 任务描述
	Description() string
	// GetRunID 获取任务ID
	GetRunID() string
	// Callback 任务执行的回调
	Callback(result *Result) error
	// Execute 执行任务
	Execute(ctx context.Context, cfg *Config) (map[string]interface{}, error)
}
